Skip to main content

Creates a file record

POST /v1/file

Summary

Creates a file record.

Details

Request body: JSON object. Accepts either

deviceSerial or deviceName. On success, it returns the created file

with a signed upload URL in fileLocation.

Authentication

No operation-level security requirement is documented here.

Parameters

None documented here.

Request Body

Required: Yes

application/json

  • deviceName (string, optional)
  • deviceSerial (string, optional)
  • filename (string, optional)
  • fileSize (integer (int64), optional)
  • sHA256Hash (string, optional)

Example

{
"deviceName": "WearableDevice",
"deviceSerial": "10001234",
"filename": "clip.mp4",
"fileSize": 1,
"sHA256Hash": "Example value"
}

Responses

200

Success

application/json

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • filename (string, optional)
  • fileGUID (string, optional)
  • sHA256Hash (string, optional)
  • fileLocation (string, optional)
  • fileExpiration (string (date-time), optional)
  • fileSize (integer (int64), optional)
  • fileInS3 (boolean, optional)
  • doNotDelete (boolean, optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"deviceID": 201,
"filename": "clip.mp4",
"fileGUID": "11111111-2222-3333-4444-555555555555",
"sHA256Hash": "Example value",
"fileLocation": "Remote site",
"fileExpiration": "2026-03-30T12:00:00.0000000Z",
"fileSize": 1,
"fileInS3": true,
"doNotDelete": true,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}